
CREATE TABLE COMPONENT_MAPPING ( 
	MAP_ID NUMBER(18) NOT NULL,
	MAP_SET_ID NUMBER(18) NOT NULL,
	TYPE VARCHAR2(10) NOT NULL,
	CONSTANT NVARCHAR2(255),
	DEFAULT_VALUE NVARCHAR2(255) NULL,
    IS_METADATA NUMBER(1) DEFAULT 0 NOT NULL
)
;

ALTER TABLE COMPONENT_MAPPING ADD CONSTRAINT PK_MAPPING 
	PRIMARY KEY (MAP_ID)
;
